=== debian/changelog ===
radeontop-gui (1.5.5) trusty; urgency=medium

  * New Release.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Thu, 01 Nov 2018 03:05:50 +0300

radeontop-gui (1.5.4.2) trusty; urgency=medium

  * Structural changes on project tree.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 21 Oct 2018 21:31:59 +0300

radeontop-gui (1.5.4) trusty; urgency=medium

  * (NEW) Power Supply window (experimantal). 

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 14 Oct 2018 17:19:26 +0300

radeontop-gui (1.5.1-2) trusty; urgency=medium

  * Added "deskfile" option into Makefile.
  * Makefile now uninstalls installed one before new installation.
  * Debian related files updated.
  * debian/control exports "deskfile=1" to Makefile.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Fri, 14 Sep 2018 06:18:30 +0300

radeontop-gui (1.5.1) trusty; urgency=medium

  * New, menu sub-item under "Settings"; "Save On Exit" & "Reset Config".
  * Main window and cpu window are able to save & load window sizes.
  * Internal changes, bug fixing, improvements etc...

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 09 Sep 2018 18:00:30 +0300

radeontop-gui (1.4.1) trusty; urgency=medium

  * Let Makefile to store object files into "obj/" folder

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Mon, 30 Apr 2018 02:24:30 +0300

radeontop-gui (1.4.0) trusty; urgency=medium

  * Cpu frequency window has been re-designed.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Fri, 20 Apr 2018 04:34:47 +0300

radeontop-gui (1.3.0) trusty; urgency=medium

  * GPU info query ability under amdgpu

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Mon, 09 Apr 2018 04:36:25 +0300

radeontop-gui (1.2.0) trusty; urgency=medium

  * Simple cpu frequency window.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 11 Mar 2018 01:19:00 +0300

radeontop-gui (1.1.0) trusty; urgency=medium

  * GPU info query window

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 8 Oct 2017 00:50:15 +0300

radeontop-gui (1.0.0) trusty; urgency=medium

  * Initial Release.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sat, 30 Sep 2017 21:43:41 +0300
